diff --git a/tests/TestSuite_nvgre.py b/tests/TestSuite_nvgre.py
index e81b370..83a055b 100644
--- a/tests/TestSuite_nvgre.py
+++ b/tests/TestSuite_nvgre.py
@@ -362,9 +362,9 @@ class TestNvgre(TestCase):
         """
         # this feature only enable in FVL now
         if self.nic in ["fortville_eagle", "fortville_spirit", "fortville_spirit_single", "fortville_25g", "fortpark_TLV","fortpark_BASE-T", "cavium_a063", "cavium_a064", "carlsville"]:
-            self.compile_switch = 'CONFIG_RTE_LIBRTE_I40E_INC_VECTOR'
+            self.compile_switch = 'RTE_LIBRTE_I40E_INC_VECTOR'
         elif self.nic in ["sageville", "sagepond"]:
-            self.compile_switch = 'CONFIG_RTE_IXGBE_INC_VECTOR'
+            self.compile_switch = 'RTE_IXGBE_INC_VECTOR'
         elif self.nic in ["columbiaville_25g","columbiaville_100g"]:
            print("CVL support default none VECTOR")
         else:
@@ -627,13 +627,9 @@ class TestNvgre(TestCase):
            print("CVL support default none VECTOR")
            src_vec_model = 'n'
         else:
-           out = self.dut.send_expect("cat config/common_base", "]# ", 10)
-           src_vec_model = re.findall("%s=." % self.compile_switch, out)[0][-1]
-           if src_vec_model == 'y':
-              self.dut.send_expect("sed -i -e 's/%s=.*$/" % self.compile_switch
-                                  + "%s=n/' config/common_base" % self.compile_switch, "# ", 30)
-              self.dut.skip_setup = False
-              self.dut.build_install_dpdk(self.target)
+            self.dut.set_build_options({f'{self.compile_switch}': 'y'})
+            self.dut.skip_setup = False
+            self.dut.build_install_dpdk(self.target)
 
         # check no nvgre packet
         self.nvgre_detect(outer_l3_type = "IPv6", outer_ip_proto=0xFF)
@@ -651,15 +647,10 @@ class TestNvgre(TestCase):
         self.nvgre_detect(outer_l3_type = "IPv6", inner_l3_type="IPv6", outer_vlan=1, inner_vlan=1)
         if self.nic in ["columbiaville_25g","columbiaville_100g"]:
            print("CVL support default none VECTOR")
-           src_vec_model = 'n'
         else:
-           out = self.dut.send_expect("cat config/common_base", "]# ", 10)
-           dst_vec_model = re.findall("%s=." % self.compile_switch, out)[0][-1]
-           if src_vec_model != dst_vec_model:
-              self.dut.send_expect("sed -i -e 's/%s=.*$/" % self.compile_switch
-                                  + "%s=%s/' config/common_base" % (self.compile_switch, src_vec_model), "# ", 30)
-              self.dut.skip_setup = False
-              self.dut.build_install_dpdk(self.target)
+            self.dut.set_build_options({f'{self.compile_switch}': 'y'})
+            self.dut.skip_setup = False
+            self.dut.build_install_dpdk(self.target)
 
     def test_nvgre_ipv6_checksum_offload(self):
         # check nvgre packet + inner IPv6 + inner L4  invalid
@@ -702,13 +693,9 @@ class TestNvgre(TestCase):
            print("CVL support default none VECTOR")
            src_vec_model = 'n'
         else:
-           out = self.dut.send_expect("cat config/common_base", "]# ", 10)
-           src_vec_model = re.findall("%s=." % self.compile_switch, out)[0][-1]  
-           if src_vec_model == 'y':
-              self.dut.send_expect("sed -i -e 's/%s=.*$/" % self.compile_switch
-                                  + "%s=n/' config/common_base" % self.compile_switch, "# ", 30)
-              self.dut.skip_setup = False
-              self.dut.build_install_dpdk(self.target)
+            self.dut.set_build_options({f'{self.compile_switch}': 'y'})
+            self.dut.skip_setup = False
+            self.dut.build_install_dpdk(self.target)
 
         # check no nvgre packet
         self.nvgre_detect(outer_ip_proto=0xFF)
@@ -724,15 +711,10 @@ class TestNvgre(TestCase):
         self.nvgre_detect(outer_vlan=1, inner_vlan=1)
         if self.nic in ["columbiaville_25g","columbiaville_100g"]:
            print("CVL support default none VECTOR")
-           src_vec_model = 'n'
         else:
-           out = self.dut.send_expect("cat config/common_base", "]# ", 10)
-           dst_vec_model = re.findall("%s=." % self.compile_switch, out)[0][-1]
-           if src_vec_model != dst_vec_model:
-              self.dut.send_expect("sed -i -e 's/%s=.*$/" % self.compile_switch
-                                  + "%s=%s/' config/common_base" % (self.compile_switch, src_vec_model), "# ", 30)
-              self.dut.skip_setup = False
-              self.dut.build_install_dpdk(self.target)
+            self.dut.set_build_options({f'{self.compile_switch}': 'y'})
+            self.dut.skip_setup = False
+            self.dut.build_install_dpdk(self.target)
     def test_tunnel_filter(self):
 
         # verify tunnel filter feature