diff --git a/tests/TestSuite_nvgre.py b/tests/TestSuite_nvgre.py
index e81b370..b36dc38 100644
--- a/tests/TestSuite_nvgre.py
+++ b/tests/TestSuite_nvgre.py
@@ -468,7 +468,9 @@ class TestNvgre(TestCase):
         config.outer_mac_dst = self.dut_rx_port_mac
         config.create_pcap()
         self.dut.send_expect("start", "testpmd>", 10)
+        time.sleep(3)
         config.send_pcap()
+        time.sleep(2)
         # check whether detect nvgre type
         out = self.dut.get_session_output()
         print(out)
@@ -513,7 +515,9 @@ class TestNvgre(TestCase):
         # send nvgre packet
         config.create_pcap()
         self.dut.send_expect("start", "testpmd>", 10)
+        time.sleep(3)
         config.send_pcap()
+        time.sleep(2)
         out = self.dut.get_session_output()
         print(out)
         queue = -1
@@ -581,12 +585,11 @@ class TestNvgre(TestCase):
         self.logger.info("nvgre packet %s" % arg_str)
 
         out = self.dut.send_expect("start", "testpmd>", 10)
-
+        time.sleep(5)
         # create pcap file with supplied arguments
         config = NvgreTestConfig(self, **kwargs)
         config.outer_mac_dst = self.dut_rx_port_mac
         config.create_pcap()
-
         # remove temporary files
         self.tester.send_expect("rm -rf %s" % config.capture_file, "# ")
         # save the capture packet into pcap format
@@ -627,13 +630,14 @@ class TestNvgre(TestCase):
            print("CVL support default none VECTOR")
            src_vec_model = 'n'
         else:
-           out = self.dut.send_expect("cat config/common_base", "]# ", 10)
-           src_vec_model = re.findall("%s=." % self.compile_switch, out)[0][-1]
-           if src_vec_model == 'y':
-              self.dut.send_expect("sed -i -e 's/%s=.*$/" % self.compile_switch
-                                  + "%s=n/' config/common_base" % self.compile_switch, "# ", 30)
-              self.dut.skip_setup = False
-              self.dut.build_install_dpdk(self.target)
+            if self.dut.build_type != "meson":
+               out = self.dut.send_expect("cat config/common_base", "]# ", 10)
+               src_vec_model = re.findall("%s=." % self.compile_switch, out)[0][-1]
+               if src_vec_model == 'y':
+                  self.dut.send_expect("sed -i -e 's/%s=.*$/" % self.compile_switch
+                                      + "%s=n/' config/common_base" % self.compile_switch, "# ", 30)
+                  self.dut.skip_setup = False
+                  self.dut.build_install_dpdk(self.target)
 
         # check no nvgre packet
         self.nvgre_detect(outer_l3_type = "IPv6", outer_ip_proto=0xFF)
@@ -653,13 +657,14 @@ class TestNvgre(TestCase):
            print("CVL support default none VECTOR")
            src_vec_model = 'n'
         else:
-           out = self.dut.send_expect("cat config/common_base", "]# ", 10)
-           dst_vec_model = re.findall("%s=." % self.compile_switch, out)[0][-1]
-           if src_vec_model != dst_vec_model:
-              self.dut.send_expect("sed -i -e 's/%s=.*$/" % self.compile_switch
-                                  + "%s=%s/' config/common_base" % (self.compile_switch, src_vec_model), "# ", 30)
-              self.dut.skip_setup = False
-              self.dut.build_install_dpdk(self.target)
+            if self.dut.build_type != "meson":
+               out = self.dut.send_expect("cat config/common_base", "]# ", 10)
+               dst_vec_model = re.findall("%s=." % self.compile_switch, out)[0][-1]
+               if src_vec_model != dst_vec_model:
+                  self.dut.send_expect("sed -i -e 's/%s=.*$/" % self.compile_switch
+                                      + "%s=%s/' config/common_base" % (self.compile_switch, src_vec_model), "# ", 30)
+                  self.dut.skip_setup = False
+                  self.dut.build_install_dpdk(self.target)
 
     def test_nvgre_ipv6_checksum_offload(self):
         # check nvgre packet + inner IPv6 + inner L4  invalid
@@ -702,13 +707,14 @@ class TestNvgre(TestCase):
            print("CVL support default none VECTOR")
            src_vec_model = 'n'
         else:
-           out = self.dut.send_expect("cat config/common_base", "]# ", 10)
-           src_vec_model = re.findall("%s=." % self.compile_switch, out)[0][-1]  
-           if src_vec_model == 'y':
-              self.dut.send_expect("sed -i -e 's/%s=.*$/" % self.compile_switch
-                                  + "%s=n/' config/common_base" % self.compile_switch, "# ", 30)
-              self.dut.skip_setup = False
-              self.dut.build_install_dpdk(self.target)
+            if self.dut.build_type != "meson":
+               out = self.dut.send_expect("cat config/common_base", "]# ", 10)
+               src_vec_model = re.findall("%s=." % self.compile_switch, out)[0][-1]
+               if src_vec_model == 'y':
+                  self.dut.send_expect("sed -i -e 's/%s=.*$/" % self.compile_switch
+                                      + "%s=n/' config/common_base" % self.compile_switch, "# ", 30)
+                  self.dut.skip_setup = False
+                  self.dut.build_install_dpdk(self.target)
 
         # check no nvgre packet
         self.nvgre_detect(outer_ip_proto=0xFF)
@@ -726,13 +732,14 @@ class TestNvgre(TestCase):
            print("CVL support default none VECTOR")
            src_vec_model = 'n'
         else:
-           out = self.dut.send_expect("cat config/common_base", "]# ", 10)
-           dst_vec_model = re.findall("%s=." % self.compile_switch, out)[0][-1]
-           if src_vec_model != dst_vec_model:
-              self.dut.send_expect("sed -i -e 's/%s=.*$/" % self.compile_switch
-                                  + "%s=%s/' config/common_base" % (self.compile_switch, src_vec_model), "# ", 30)
-              self.dut.skip_setup = False
-              self.dut.build_install_dpdk(self.target)
+            if self.dut.build_type != "meson":
+               out = self.dut.send_expect("cat config/common_base", "]# ", 10)
+               dst_vec_model = re.findall("%s=." % self.compile_switch, out)[0][-1]
+               if src_vec_model != dst_vec_model:
+                  self.dut.send_expect("sed -i -e 's/%s=.*$/" % self.compile_switch
+                                      + "%s=%s/' config/common_base" % (self.compile_switch, src_vec_model), "# ", 30)
+                  self.dut.skip_setup = False
+                  self.dut.build_install_dpdk(self.target)
     def test_tunnel_filter(self):
 
         # verify tunnel filter feature
diff --git a/tests/TestSuite_vxlan.py b/tests/TestSuite_vxlan.py
index d6cd93c..58a1119 100644
--- a/tests/TestSuite_vxlan.py
+++ b/tests/TestSuite_vxlan.py
@@ -382,9 +382,11 @@ class TestVxlan(TestCase, IxiaPacketGenerator):
         config.outer_mac_dst = self.dut_port_mac
         config.create_pcap()
         self.dut.send_expect("start", "testpmd>", 10)
+        time.sleep(3)
         config.send_pcap(self.tester_iface)
 
         # check whether detect vxlan type
+        time.sleep(2)
         out = self.dut.get_session_output(timeout=2)
         print(out)
         self.verify(config.packet_type() in out, "Vxlan Packet not detected")
@@ -438,15 +440,16 @@ class TestVxlan(TestCase, IxiaPacketGenerator):
         self.logger.info("vxlan packet %s" % arg_str)
 
         out = self.dut.send_expect("start", "testpmd>", 10)
-
+        time.sleep(3)
         # create pcap file with supplied arguments
         config = VxlanTestConfig(self, **kwargs)
         config.outer_mac_dst = self.dut_port_mac
         config.create_pcap()
-
         # save the capture packet into pcap format
         inst = self.tester.tcpdump_sniff_packets(self.recv_iface)
+        time.sleep(2)
         config.send_pcap(self.tester_iface)
+        time.sleep(2)
         pkt = self.tester.load_tcpdump_sniff_packets(inst, timeout=3)
 
         # extract the checksum offload from saved pcap file
@@ -505,7 +508,9 @@ class TestVxlan(TestCase, IxiaPacketGenerator):
         # send vxlan packet
         config.create_pcap()
         self.dut.send_expect("start", "testpmd>", 10)
+        time.sleep(2)
         config.send_pcap(self.tester_iface)
+        time.sleep(2)
         out = self.dut.get_session_output(timeout=2)
         print(out)
 
@@ -528,13 +533,14 @@ class TestVxlan(TestCase, IxiaPacketGenerator):
             print("CVL support default none VECTOR")
             src_vec_model = 'n'
         else:
-            out = self.dut.send_expect("cat config/common_base", "]# ", 10)
-            src_vec_model = re.search("%s=." % self.compile_switch, out).group()[-1]
-            if src_vec_model == 'y':
-                self.dut.send_expect("sed -i -e 's/%s=.*$/" % self.compile_switch
-                                    + "%s=n/' config/common_base" % self.compile_switch, "# ", 30)
-                self.dut.skip_setup = False
-                self.dut.build_install_dpdk(self.target)
+            if self.dut.build_type != "meson":
+                out = self.dut.send_expect("cat config/common_base", "]# ", 10)
+                src_vec_model = re.search("%s=." % self.compile_switch, out).group()[-1]
+                if src_vec_model == 'y':
+                    self.dut.send_expect("sed -i -e 's/%s=.*$/" % self.compile_switch
+                                        + "%s=n/' config/common_base" % self.compile_switch, "# ", 30)
+                    self.dut.skip_setup = False
+                    self.dut.build_install_dpdk(self.target)
 
         pmd_temp = "./%(TARGET)s -c %(COREMASK)s -n " + \
             "%(CHANNEL)d -- -i --disable-rss --rxq=4 --txq=4" + \
@@ -570,13 +576,14 @@ class TestVxlan(TestCase, IxiaPacketGenerator):
             print("CVL support default none VECTOR")
             src_vec_model = 'n'
         else:
-            out = self.dut.send_expect("cat config/common_base", "]# ", 10)
-            dst_vec_model = re.findall("%s=." % self.compile_switch, out)[0][-1]
-            if src_vec_model != dst_vec_model:
-                self.dut.send_expect("sed -i -e 's/%s=.*$/" % self.compile_switch
-                                    + "%s=%s/' config/common_base" % (self.compile_switch, src_vec_model), "# ", 30)
-                self.dut.skip_setup = False
-                self.dut.build_install_dpdk(self.target)
+            if self.dut.build_type != "meson":
+                out = self.dut.send_expect("cat config/common_base", "]# ", 10)
+                dst_vec_model = re.findall("%s=." % self.compile_switch, out)[0][-1]
+                if src_vec_model != dst_vec_model:
+                    self.dut.send_expect("sed -i -e 's/%s=.*$/" % self.compile_switch
+                                        + "%s=%s/' config/common_base" % (self.compile_switch, src_vec_model), "# ", 30)
+                    self.dut.skip_setup = False
+                    self.dut.build_install_dpdk(self.target)
 
     def test_vxlan_ipv6_detect(self):
         """
@@ -586,13 +593,14 @@ class TestVxlan(TestCase, IxiaPacketGenerator):
             print("CVL support default none VECTOR")
             src_vec_model = 'n'
         else:
-            out = self.dut.send_expect("cat config/common_base", "]# ", 10)
-            src_vec_model = re.search("%s=." % self.compile_switch, out).group()[-1]
-            if src_vec_model == 'y':
-                self.dut.send_expect("sed -i -e 's/%s=.*$/" % self.compile_switch
-                                    + "%s=n/' config/common_base" % self.compile_switch, "# ", 30)
-                self.dut.skip_setup = False
-                self.dut.build_install_dpdk(self.target)
+            if self.dut.build_type != "meson":
+                out = self.dut.send_expect("cat config/common_base", "]# ", 10)
+                src_vec_model = re.search("%s=." % self.compile_switch, out).group()[-1]
+                if src_vec_model == 'y':
+                    self.dut.send_expect("sed -i -e 's/%s=.*$/" % self.compile_switch
+                                        + "%s=n/' config/common_base" % self.compile_switch, "# ", 30)
+                    self.dut.skip_setup = False
+                    self.dut.build_install_dpdk(self.target)
 
         pmd_temp = "./%(TARGET)s -c %(COREMASK)s -n " + \
             "%(CHANNEL)d -- -i --disable-rss --rxq=4 --txq=4" + \
@@ -632,13 +640,14 @@ class TestVxlan(TestCase, IxiaPacketGenerator):
             print("CVL support default none VECTOR")
             src_vec_model = 'n'
         else:
-            out = self.dut.send_expect("cat config/common_base", "]# ", 10)
-            dst_vec_model = re.findall("%s=." % self.compile_switch, out)[0][-1]
-            if src_vec_model != dst_vec_model:
-                self.dut.send_expect("sed -i -e 's/%s=.*$/" % self.compile_switch
-                                    + "%s=%s/' config/common_base" % (self.compile_switch, src_vec_model), "# ", 30)
-                self.dut.skip_setup = False
-                self.dut.build_install_dpdk(self.target)
+            if self.dut.build_type != "meson":
+                out = self.dut.send_expect("cat config/common_base", "]# ", 10)
+                dst_vec_model = re.findall("%s=." % self.compile_switch, out)[0][-1]
+                if src_vec_model != dst_vec_model:
+                    self.dut.send_expect("sed -i -e 's/%s=.*$/" % self.compile_switch
+                                        + "%s=%s/' config/common_base" % (self.compile_switch, src_vec_model), "# ", 30)
+                    self.dut.skip_setup = False
+                    self.dut.build_install_dpdk(self.target)
 
     def test_vxlan_ipv4_checksum_offload(self):
         """