diff --git a/tests/TestSuite_nvgre.py b/tests/TestSuite_nvgre.py
index ce02a857..7021f4c8 100644
--- a/tests/TestSuite_nvgre.py
+++ b/tests/TestSuite_nvgre.py
@@ -656,14 +656,6 @@ class TestNvgre(TestCase):
         if self.nic in ["columbiaville_25g","columbiaville_100g"]:
            print("CVL support default none VECTOR")
            src_vec_model = 'n'
-        else:
-           out = self.dut.send_expect("cat config/common_base", "]# ", 10)
-           src_vec_model = re.findall("%s=." % self.compile_switch, out)[0][-1]
-           if src_vec_model == 'y':
-              self.dut.send_expect("sed -i -e 's/%s=.*$/" % self.compile_switch
-                                  + "%s=n/' config/common_base" % self.compile_switch, "# ", 30)
-              self.dut.skip_setup = False
-              self.dut.build_install_dpdk(self.target)
 
         # check no nvgre packet
         self.nvgre_detect(outer_l3_type = "IPv6", outer_ip_proto=0xFF)
@@ -679,17 +671,6 @@ class TestNvgre(TestCase):
         self.nvgre_detect(outer_l3_type = "IPv6", inner_l3_type="IPv6", outer_vlan=1)
         # check vlan nvgre + vlan inner and outer packet
         self.nvgre_detect(outer_l3_type = "IPv6", inner_l3_type="IPv6", outer_vlan=1, inner_vlan=1)
-        if self.nic in ["columbiaville_25g","columbiaville_100g"]:
-           print("CVL support default none VECTOR")
-           src_vec_model = 'n'
-        else:
-           out = self.dut.send_expect("cat config/common_base", "]# ", 10)
-           dst_vec_model = re.findall("%s=." % self.compile_switch, out)[0][-1]
-           if src_vec_model != dst_vec_model:
-              self.dut.send_expect("sed -i -e 's/%s=.*$/" % self.compile_switch
-                                  + "%s=%s/' config/common_base" % (self.compile_switch, src_vec_model), "# ", 30)
-              self.dut.skip_setup = False
-              self.dut.build_install_dpdk(self.target)
 
     def test_nvgre_ipv6_checksum_offload(self):
         # check nvgre packet + inner IPv6 + inner L4  invalid
@@ -731,14 +712,6 @@ class TestNvgre(TestCase):
         if self.nic in ["columbiaville_25g","columbiaville_100g"]:
            print("CVL support default none VECTOR")
            src_vec_model = 'n'
-        else:
-           out = self.dut.send_expect("cat config/common_base", "]# ", 10)
-           src_vec_model = re.findall("%s=." % self.compile_switch, out)[0][-1]  
-           if src_vec_model == 'y':
-              self.dut.send_expect("sed -i -e 's/%s=.*$/" % self.compile_switch
-                                  + "%s=n/' config/common_base" % self.compile_switch, "# ", 30)
-              self.dut.skip_setup = False
-              self.dut.build_install_dpdk(self.target)
 
         # check no nvgre packet
         self.nvgre_detect(outer_ip_proto=0xFF)
@@ -752,17 +725,7 @@ class TestNvgre(TestCase):
         self.nvgre_detect(outer_vlan=1)
         # check vlan nvgre + vlan inner packet
         self.nvgre_detect(outer_vlan=1, inner_vlan=1)
-        if self.nic in ["columbiaville_25g","columbiaville_100g"]:
-           print("CVL support default none VECTOR")
-           src_vec_model = 'n'
-        else:
-           out = self.dut.send_expect("cat config/common_base", "]# ", 10)
-           dst_vec_model = re.findall("%s=." % self.compile_switch, out)[0][-1]
-           if src_vec_model != dst_vec_model:
-              self.dut.send_expect("sed -i -e 's/%s=.*$/" % self.compile_switch
-                                  + "%s=%s/' config/common_base" % (self.compile_switch, src_vec_model), "# ", 30)
-              self.dut.skip_setup = False
-              self.dut.build_install_dpdk(self.target)
+
     def test_tunnel_filter(self):
 
         # verify tunnel filter feature
diff --git a/tests/TestSuite_vxlan.py b/tests/TestSuite_vxlan.py
index eb324fbd..0bfc708b 100644
--- a/tests/TestSuite_vxlan.py
+++ b/tests/TestSuite_vxlan.py
@@ -558,14 +558,6 @@ class TestVxlan(TestCase, IxiaPacketGenerator):
         if self.nic in ["columbiaville_25g","columbiaville_100g"]:
             print("CVL support default none VECTOR")
             src_vec_model = 'n'
-        else:
-            out = self.dut.send_expect("cat config/common_base", "]# ", 10)
-            src_vec_model = re.search("%s=." % self.compile_switch, out).group()[-1]
-            if src_vec_model == 'y':
-                self.dut.send_expect("sed -i -e 's/%s=.*$/" % self.compile_switch
-                                    + "%s=n/' config/common_base" % self.compile_switch, "# ", 30)
-                self.dut.skip_setup = False
-                self.dut.build_install_dpdk(self.target)
 
         pmd_temp = "./%(TARGET)s -c %(COREMASK)s -n " + \
             "%(CHANNEL)d -- -i --disable-rss --rxq=4 --txq=4" + \
@@ -596,19 +588,7 @@ class TestVxlan(TestCase, IxiaPacketGenerator):
 
         out = self.dut.send_expect("stop", "testpmd>", 10)
         self.dut.send_expect("quit", "#", 10)
-        
-        if self.nic in ["columbiaville_25g","columbiaville_100g"]:
-            print("CVL support default none VECTOR")
-            src_vec_model = 'n'
-        else:
-            out = self.dut.send_expect("cat config/common_base", "]# ", 10)
-            dst_vec_model = re.findall("%s=." % self.compile_switch, out)[0][-1]
-            if src_vec_model != dst_vec_model:
-                self.dut.send_expect("sed -i -e 's/%s=.*$/" % self.compile_switch
-                                    + "%s=%s/' config/common_base" % (self.compile_switch, src_vec_model), "# ", 30)
-                self.dut.skip_setup = False
-                self.dut.build_install_dpdk(self.target)
-
+ 
     def test_vxlan_ipv6_detect(self):
         """
         verify vxlan packet detection with ipv6 header
@@ -616,14 +596,6 @@ class TestVxlan(TestCase, IxiaPacketGenerator):
         if self.nic in ["columbiaville_25g","columbiaville_100g"]:
             print("CVL support default none VECTOR")
             src_vec_model = 'n'
-        else:
-            out = self.dut.send_expect("cat config/common_base", "]# ", 10)
-            src_vec_model = re.search("%s=." % self.compile_switch, out).group()[-1]
-            if src_vec_model == 'y':
-                self.dut.send_expect("sed -i -e 's/%s=.*$/" % self.compile_switch
-                                    + "%s=n/' config/common_base" % self.compile_switch, "# ", 30)
-                self.dut.skip_setup = False
-                self.dut.build_install_dpdk(self.target)
 
         pmd_temp = "./%(TARGET)s -c %(COREMASK)s -n " + \
             "%(CHANNEL)d -- -i --disable-rss --rxq=4 --txq=4" + \
@@ -659,18 +631,6 @@ class TestVxlan(TestCase, IxiaPacketGenerator):
         out = self.dut.send_expect("stop", "testpmd>", 10)
         self.dut.send_expect("quit", "#", 10)
 
-        if self.nic in ["columbiaville_25g","columbiaville_100g"]:
-            print("CVL support default none VECTOR")
-            src_vec_model = 'n'
-        else:
-            out = self.dut.send_expect("cat config/common_base", "]# ", 10)
-            dst_vec_model = re.findall("%s=." % self.compile_switch, out)[0][-1]
-            if src_vec_model != dst_vec_model:
-                self.dut.send_expect("sed -i -e 's/%s=.*$/" % self.compile_switch
-                                    + "%s=%s/' config/common_base" % (self.compile_switch, src_vec_model), "# ", 30)
-                self.dut.skip_setup = False
-                self.dut.build_install_dpdk(self.target)
-
     def test_vxlan_ipv4_checksum_offload(self):
         """
         verify vxlan packet checksum offload